/*
 *  utils.c - Some useful things
 *  
 *  Robert Cheramy <tibob@via.ecp.fr>, 1999
 */

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include <string.h>
#include <time.h>
#include "utils.h"

int isonsubnet(__u32 host, __u32 address, __u32 mask) {
  if (((address ^ host) & mask) == 0)
    return TRUE;
  return FALSE;
}

char *timefile(char *filemask) {
  char s_temp[FILENAMELENGTH];
  char *s_cpy;
  time_t cur_time;
  struct tm *p_time;
  
  cur_time = time (NULL);
  p_time = localtime(&cur_time);
  strftime(s_temp, FILENAMELENGTH, filemask, p_time);

  s_cpy = strdup(s_temp);
  return (s_cpy);
}
